{
  inputs = {
    self.submodules = true;
    nixpkgs-stable-nixos.url = "github:nixos/nixpkgs/nixos-25.05";
    nixverse = {
      url = "github:hgl/nixverse";
      inputs.nixpkgs.follows = "nixpkgs-stable-nixos";
    };

    disko-stable-nixos = {
      url = "github:nix-community/disko";
      inputs.nixpkgs.follows = "nixpkgs-stable-nixos";
    };

    home-manager-stable-nixos = {
      url = "github:nix-community/home-manager/release-25.05";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    hyprpanel-stable-nixos = {
      url = "github:Jas-SinghFSU/Hyprpanel";
    };
    
    nix-flatpak-stable-nixos = {
      url = "github:gmodena/nix-flatpak/?ref=latest";
    };

    impermanence-stable-nixos = {
      url = "github:nix-community/impermanence";
    };

    sops-nix-stable-nixos = {
      url = "github:Mic92/sops-nix";
      inputs.nixpkgs.follows = "nixpkgs-stable-nixos";
    };

    stylix-stable-nixos = {
      url = "github:danth/stylix/release-25.05";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    zen-browser-stable-nixos = {
      url = "github:0xc000022070/zen-browser-flake";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs =
    {
      self,
      nixpkgs,
      nixverse,
      ...
    }:
    nixverse.load self {
      nixverse = {
        inheritLib = true;
      };
      devShells = nixverse.lib.forAllSystems (
        system:
        let
          pkgs = nixpkgs.legacyPackages.${system};
          pkgs' = nixverse.loadPkgs' self {
            inherit system;
            nixpkgs = nixpkgs;
          };
        in
        {
          default = pkgs.mkShellNoCC {
            packages = with pkgs; [
              nil
              nixfmt-rfc-style
              nixverse.packages.${system}.nixverse
            ];
          };
        }
      );
    };
}
